Subject: Ticket Assigned - Click & Collect
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 01 Mar 2021 16:45:26 +0000

Hi Mohammad Humayun,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Such a worst customer service & experience from babyshop for one of my onlineclick & collect order.They are promising the delivery in 2 days and I placed the order on 10th  Feb and till date19days gone the item is not delivered even I made many follow ups with the call centre and even in the store where I am supposed to collect the item.I had visited the same storesharjah Qassimiya two times and the store managers are just giving false promises.Also the call center executive is saying that they raised the complaints 3 times which I think made for just a formality.No response even no messages atleast giving the reason for delay.Such a worst customer service you had. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2172908